std::experimental::in_place(3)

NAME
std::experimental::in_place - std::experimental::in_place

Synopsis
   Defined in header <experimental/optional>
   constexpr in_place_t in_place{}; (library fundamentals TS)
   std::experimental::in_place is a constant of type std::experimental::in_place_t that
   is used to disambiguate the overloads of constructors and member functions of that
   take arguments (possibly a parameter pack) for in-place construction of some value.

See also
   in_place
   in_place_type
   in_place_index in-place construction tag
   in_place_t (class template)
   in_place_type_t
   in_place_index_t
   (C++17)
   optional a wrapper that may or may not hold an object
   (C++17) (class template)